package ru.daotech.agroinvest.coordinators

import androidx.navigation.NavController

interface Navigator {

    fun init(navController: NavController)

    fun showDetailedTask(taskId: String)

    fun showDetailedSection(sectionId: String)

    fun showSectionTasks(sectionId: String)

    fun showAuthorization()

    fun showTasks()

    fun backToLoginScreen(barcode: String)

    fun showBarcodeScanner()

    fun exitApplication()

    fun showTaskHistory()

    fun showSections()

    fun showAccidentReport(taskId: String)

    fun showAccidentReport()

    fun showWelcomeScreen()

    fun showAboutPage()

    fun showUpdateApp()

    fun showRatings()

    fun showEarnings()

    fun showBarcodeBox()

    fun showContainerWithDetailedTask(taskId: String)

    fun showDetailedProcessingTask(taskId: String, nfcValue: String)

    fun showTrolleyTied(trolleyNumber: String?)

    fun showTrolleyTiedFromDetailed(trolleyNumber: String?)

    fun showCollectionHistoryReport()

    fun showSplashPage()

    fun showSupportNotify()

    fun showGroupProperty(taskId: String)
}