package ru.daotech.agroinvest.coordinators

import javax.inject.Inject

class RootCoordinator @Inject constructor(private val navigator: Navigator) {

    fun goToMyTask() {
        navigator.showTasks()
    }

    fun runContainerWithDetailedTask(taskId: String) {
        navigator.showContainerWithDetailedTask(taskId)
    }

    fun goToTaskHistory() {
        navigator.showTaskHistory()
    }


    fun goToCollectionHistory() {
        navigator.showCollectionHistoryReport()
    }

    fun goToSection() {
        navigator.showSections()
    }

    fun goToAccidentReport() {
        navigator.showAccidentReport()
    }

    fun goToAboutPage() {
        navigator.showAboutPage()
    }

    fun goToUpdateApp() {
        navigator.showUpdateApp()
    }

    fun goToRatings() {
        navigator.showRatings()
    }

    fun goToEarnings() {
        navigator.showEarnings()
    }

    fun exitApplication() {
        navigator.exitApplication()
    }

    fun goToDetailedTask(taskId: String, nfcValue: String) {
        navigator.showDetailedProcessingTask(taskId, nfcValue)
    }

    fun goToBarcodeBox() {
        navigator.showBarcodeBox()
    }

    fun showGroupProperty(taskId: String) {
        navigator.showGroupProperty(taskId)
    }

    fun goToSupportNotify() {
        navigator.showSupportNotify()
    }
}