package ru.daotech.agroinvest.coordinators

import javax.inject.Inject

class SplashCoordinator @Inject constructor(private val navigator: Navigator) {

    fun showNextScreen(isAuthenticated: Boolean) {
        if (isAuthenticated) {
            navigator.showWelcomeScreen()
        } else {
            navigator.showAuthorization()
        }
    }
}