package ru.daotech.agroinvest.coordinators

import javax.inject.Inject

class UpdateAppCoordinator @Inject constructor(private val navigator: Navigator) {

    fun showNextScreen(isAuthenticated: Boolean) {
        if (isAuthenticated) {
            navigator.showTasks()
        } else {
            navigator.showAuthorization()
        }
    }
}