package ru.daotech.agroinvest.database.dao

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import io.reactivex.Completable
import io.reactivex.Observable
import io.reactivex.Single
import ru.daotech.agroinvest.database.entities.ActionReportImpl

@Dao
abstract class ActionReportDao : BaseDao<ActionReportImpl>() {

    @Query("UPDATE action_report SET payload = :payload WHERE id = :id")
    abstract fun updateActionReport(
        payload: String,
        id: Long
    ): Completable
}