package ru.daotech.agroinvest.fragments.barcode_box

import io.reactivex.Observable
import ru.daotech.agroinvest.interfaces.MviView

interface BarcodeBoxView : MviView<BarcodeBoxViewState> {
    fun loadingIntent(): Observable<Unit>

    fun errorShowingIntent(): Observable<String>

    fun snackbarDismiss(): Observable<Unit>

    fun onBarcodeRetrieved(): Observable<String>

    fun initiateSubjectIntent(): Observable<Unit>

    fun onDetailedTaskBarcodeScanRetrieved(): Observable<Pair<String, String>>
}