package ru.daotech.agroinvest.fragments.detailed_task.detailed_task_in_progress.choose_group_container

import io.reactivex.Observable
import ru.daotech.agroinvest.database.entities.TaskPlantImpl
import ru.daotech.agroinvest.database.entities.TaskProperty
import ru.daotech.agroinvest.interfaces.MviView

interface ChooseGroupView : MviView<ChooseGroupViewState> {

    fun loadingIntent(): Observable<String>

    fun onErrorShowIntent(): Observable<Unit>

    fun dismissSnackbar(): Observable<Unit>

    fun loadGroupPropertyFormIntent(): Observable<TaskProperty>

    fun onSaveCurrentTaskPlantIntent(): Observable<TaskPlantImpl>
}