package ru.daotech.agroinvest.fragments.detailed_task.detailed_task_in_progress.timer_container

import io.reactivex.Observable
import ru.daotech.agroinvest.interfaces.MviView
import ru.daotech.agroinvest.models.LastFragmentState

interface TimerContainerView :
    MviView<TimerContainerViewState> {

    fun timerControlClick(): Observable<Pair<Boolean, String>>

    fun saveCurrentFragmentState(): Observable<LastFragmentState>

    fun errorShown(): Observable<Unit>

    fun saveCurrentTimerState(): Observable<Boolean>

    fun dismissTimerState(): Observable<Unit>

    fun onCurrentTrolleyIntent(): Observable<String>

    fun errorWrongNfcTypeIntent(): Observable<Unit>
}