package ru.daotech.agroinvest.fragments.login

import io.reactivex.Observable
import ru.daotech.agroinvest.interfaces.MviView

interface LoginView : MviView<LoginViewState> {
    fun scanButtonClick(): Observable<Unit>

    fun barcodeRetrieved(): Observable<String>

    fun errorShown(): Observable<Unit>

    fun loadingIntent(): Observable<Unit>

    fun onUpdateAppInitiateIntent(): Observable<String>

    fun loadRecentUsersIntent(): Observable<Unit>

    fun recentUsersRetrieved(): Observable<Unit>
}