package ru.daotech.agroinvest.fragments.pages.accident

import io.reactivex.Observable
import ru.daotech.agroinvest.interfaces.MviView

interface AccidentReportView : MviView<AccidentReportViewState> {
    fun loadingIntent(): Observable<Unit>

    fun sendResultReport(): Observable<String>

    fun loadingTaskInitialIntent(): Observable<String>

    fun sendResultReportWithTaskId(): Observable<Pair<String, String>>
}