package ru.daotech.agroinvest.fragments.sections.root

import io.reactivex.Observable
import ru.daotech.agroinvest.database.entities.Section
import ru.daotech.agroinvest.interfaces.MviView

interface SectionsView : MviView<SectionsViewState> {
    fun loadingIntent(): Observable<Unit>

    fun onSectionClick(): Observable<Section>

    fun snackbarDismiss(): Observable<Unit>
}