package ru.daotech.agroinvest.fragments.tasks.myTasks

import io.reactivex.Observable
import ru.daotech.agroinvest.database.entities.Task
import ru.daotech.agroinvest.interfaces.MviView

interface TasksView : MviView<TasksViewState> {
    fun loadingIntent(): Observable<Unit>

    fun taskListSignalIntent(): Observable<Unit>

    fun clearRatingMessageIntent(): Observable<Unit>

    fun onTaskClick(): Observable<Task>

    fun snackbarDismiss(): Observable<Unit>

    fun openDetailedTaskByIdIntent(): Observable<String>

    fun clearPreferencesIntent(): Observable<Unit>

    fun onCurrentTrolleyTiedIntent(): Observable<Unit>

    fun onCurrentRawIntent(): Observable<String>

    fun errorWrongNfcTypeIntent(): Observable<Unit>

    fun onCurrentTrolleyIntent(): Observable<String>

    fun dismissTaskAlreadyInProgressDialogIntent(): Observable<Unit>

    fun goToDetailedTaskIntent(): Observable<String>

    fun dismissTaskAttentionDialogIntent(): Observable<Unit>

    fun goToBarcodeBoxIntent(): Observable<Unit>
}