package ru.daotech.agroinvest.fragments.trolley_tied

import io.reactivex.Observable
import ru.daotech.agroinvest.interfaces.MviView

interface TrolleyTiedView : MviView<TrolleyTiedViewState> {

    fun loadingIntent(): Observable<Unit>

    fun takeTrolleyButtonClick(): Observable<String>

    fun untiedTrolleyButtonClick(): Observable<String>

    fun errorMessageIntent(): Observable<String>

    fun nfcMessageScannedIntent(): Observable<String>
}