package ru.daotech.agroinvest.models

import ru.daotech.agroinvest.service.jsonmodels.AppInfoPayload
import java.util.*

data class AppInfo(
    val versionName: String,
    val appUrl: String,
    val versionCode: String,
    val identifier: String
) {
    constructor(from: AppInfoPayload) : this(
        versionName = from.versionName,
        appUrl = from.appUrl,
        versionCode = from.versionCode,
        identifier = UUID.randomUUID().toString()
    )
}
