package ru.daotech.agroinvest.models

enum class RequestTypeEnum(val requestType: String) {
    TASK_LIST("taskList"),
    SIGN_IN("signIn"),
    SIGN_OUT("signOut"),
    TASK_START("taskStart"),
    TASK_FINISH("taskFinish"),
    TASK_CANCEL("taskCancel"),
    TASK_UPDATE("taskUpdate"),
    SIGN_MESSAGE("signMessage"),
    BROADCAST_MESSAGE("broadcastMessage"),
    SUPPORT_MESSAGE("supportMessage"),
    FILE_UPLOAD("fileUpload"),
    TASK_REPORT("errorReport"),
    LOG_REPORT("logReport"),
    TASK_SCAN_LIST("taskScanList"),
    TASK_SCAN_START("taskScanStart"),
    TASK_SCAN_FINISH("taskScanFinish"),
    TASK_SCAN_CANCEL("taskScanCancel"),
    TROLLEY_START("trolleyStart"),
    TROLLEY_END("trolleyEnd"),
    TROLLEY_INFO("trolleyInfo"),
    PROPERTIES_CREATE("propertiesCreate"),
    BARCODE_BOX("barcodeBox"),
    MAKE_SCREENSHOT("makeScreenshot"),
    UPLOAD_BACKUP("uploadBackup"),
}

enum class ObjectRequestTypeEnum(val objectRequestType: String) {
    STRING("String"),
    OBJECT("Object")
}