package ru.daotech.agroinvest.network.models

import java.io.Serializable

class CamundaResponse(
    val id: String,
    val definitionId: String,
    val businessKey: String,
    val caseInstanceId: String? = "",
    val ended: Boolean,
    val suspended: Boolean,
    val tenantId: String? = "",
    val links: List<LinkResponse>
) : Serializable

class LinkResponse(
    val method: String,
    val href: String,
    val rel: String
): Serializable