package ru.daotech.agroinvest.network.models

import java.io.Serializable

data class ChatMessageRequest(
    val room: String?,
    val text: String?,
    val sender: String?
) : Serializable

data class ChatMessageResponse(
    val room: String,
    val text: String,
    val messageTime: String,
    val sender: String
) : Serializable

data class ChatDataResponse(
    val messages: List<ChatMessageResponse>
) : Serializable