package ru.daotech.agroinvest.service.jsonmodels

import ru.daotech.agroinvest.models.Department
import ru.daotech.agroinvest.models.QueueExchanger
import ru.daotech.agroinvest.models.Rating

data class WorkerPayload(
    val id: String,
    val name: String,
    val code: String,
    val positionId: String,
    val position: Position,
    val departmentId: String? = null,
    val department: Department? = null,
    val exchangers: List<QueueExchanger>,
    val ratings: List<Rating>,
    val earnings: Map<String, Float>?,
    val nfcMode: Boolean?
) : QueueMessagePayload()