package ru.daotech.agroinvest.utils

import android.app.Activity
import android.view.Menu
import android.view.MenuItem
import ru.daotech.agroinvest.R
import ru.daotech.agroinvest.container.ContainerActivity

class ViewUtil {

    companion object {

        fun manageInternetConnectState(activity: Activity, menu: Menu) {
            if (!(activity as ContainerActivity).isInternetConnectedGlobal) {
                (menu.findItem(R.id.connectivity_action) as MenuItem)
                    .setIcon(R.drawable.ic_signal_wifi_off_24dp).setVisible(true)
            } else {
                (menu.findItem(R.id.connectivity_action) as MenuItem).setVisible(false)
            }
        }

        fun manageSocketConnectState(activity: Activity, menu: Menu) {
            if (!(activity as ContainerActivity).isSocketConnectedGlobal) {
                (menu.findItem(R.id.connectivity_socket_action) as MenuItem)
                    .setIcon(R.drawable.ic_cloud_off_queue_red_24dp).setVisible(true)
            } else {
                (menu.findItem(R.id.connectivity_socket_action) as MenuItem).setVisible(false)
            }
        }
    }
}