package ru.daotech.agroinvest.components

import ru.daotech.agroinvest.database.relation.TaskWithProperties

interface ComponentBuilderView {

    fun buildPropertyViewModelList(taskWithProperties: TaskWithProperties): ArrayList<Any>

    fun buildGroupPropertyViewModelList(taskWithProperties: TaskWithProperties): ArrayList<Any>

    fun buildGroupPropertyViewModelListByBarcode(taskWithProperties: TaskWithProperties, barcodeValue: String): ArrayList<Any>
}