package ru.daotech.agroinvest.container

import ru.daotech.agroinvest.service.events.BroadcastMessage

data class ContainerViewState(
    val name: String,
    val personalNumber: String,
    val isFinishedDayDialogOpen: Boolean = false,
    val signOutResult: SignOutResult? = null,
    val broadcastMessage: BroadcastMessage? = null,
    val isLoadInProgress: Boolean,
    val isInternetConnected: Boolean,
    val isSocketConnected: Boolean,
    val isSnackBarNeedShowing: Boolean = false,
    val taskId: String? = null,
    val isVersionIncrease: Boolean = false,
    val errorMessage: String? = null,
    val supportMessage: String? = null,
    val unreadMessageCount: Int? = null,
    val isQueueConnected: Boolean
)

data class SignOutResult(
    val isSuccessResult: Boolean = false,
    val message: String
)

