package ru.daotech.agroinvest.database.dao

import androidx.room.Dao
import androidx.room.Query
import io.reactivex.Observable
import ru.daotech.agroinvest.database.entities.RecentUserImpl

@Dao
abstract class RecentUserDao : BaseDao<RecentUserImpl>() {

    @Query("SELECT * FROM recent_users ORDER BY date DESC LIMIT 5")
    abstract fun getMostRecentUsers(): Observable<List<RecentUserImpl>>
}