package ru.daotech.agroinvest.di.modules

import dagger.Module
import dagger.Provides
import ru.daotech.agroinvest.AppStateManager
import ru.daotech.agroinvest.business.Repository
import ru.daotech.agroinvest.fragments.detailed_task.detailed_task_in_progress.choose_group_container.ChooseGroupPresenter
import javax.inject.Scope

@Scope
@Retention(AnnotationRetention.RUNTIME)
annotation class ChooseGroupScope

@Module
class ChooseGroupModule {

    @ChooseGroupScope
    @Provides
    fun provideChooseGroupPresenter(
        appStateManager: AppStateManager,
        repository: Repository
    ): ChooseGroupPresenter {
        return ChooseGroupPresenter(
            appStateManager = appStateManager,
            repository = repository
        )
    }
}