package ru.daotech.agroinvest.fragments.detailed_task

import ru.daotech.agroinvest.database.relation.TaskWithProperties

data class DetailedTaskViewState(
    val isLoading: Boolean,
    val taskWithProperties: TaskWithProperties?,
    val errorMessage: String?,
    val isTaskStartedSuccess: Boolean = false,
    val isTaskCancelSuccess: Boolean = false,
    val isTaskFinishSuccess: Boolean = false,
    val isPreLaunchTaskState: Boolean = false,
    val isInProgressTaskState: Boolean = false,
    val isGroupPropertyUploadSuccess: Boolean = false,
    val nfcMode: Boolean?
)
