package ru.daotech.agroinvest.fragments.detailed_task.detailed_task_in_progress.header_field_container

import ru.daotech.agroinvest.database.relation.TaskWithProperties

sealed class HeaderFieldViewState {

    object Loading : HeaderFieldViewState()

    data class BuildForm(val taskWithProperties: TaskWithProperties) : HeaderFieldViewState()

    data class BuildGroupPropertyForm(val taskWithProperties: TaskWithProperties) : HeaderFieldViewState()

    object Error : HeaderFieldViewState()

    object DismissSnackbar : HeaderFieldViewState()
}