package ru.daotech.agroinvest.fragments.login

import ru.daotech.agroinvest.database.entities.RecentUser
import java.io.File

data class LoginViewState(
    val isLoading: Boolean,
    val isUpdateAppLoading: Boolean,
    val isUpdateAppEnable: Boolean,
    val isLoginDisable: Boolean,
    val failedAttempts: Int,
    val errorMessage: String?,
    val isFailedAttempt: Boolean,
    val isSuccess: Boolean,
    val queueResultMessage: String?,
    val progressButtonLabel: String?,
    val appInfoValue: String?,
    val appFile: File?,
    val recentUsers: List<RecentUser>
)