package ru.daotech.agroinvest.fragments.pages.about

sealed class AboutPageViewState {

    object Loading : AboutPageViewState()

    object EmptyState : AboutPageViewState()

    data class Success(val isAuthenticated: Boolean) : AboutPageViewState()

    object UploadSuccess : AboutPageViewState()

    object UploadFailed : AboutPageViewState()

    object Error : AboutPageViewState()
}