package ru.daotech.agroinvest.fragments.sections.detailed

import io.reactivex.Observable
import ru.daotech.agroinvest.database.entities.Section
import ru.daotech.agroinvest.interfaces.MviView

interface DetailedSectionView : MviView<DetailedSectionViewState> {
    fun loadingIntent(): Observable<String>

    fun onSectionClick(): Observable<Section>

    fun snackbarDismiss(): Observable<Unit>
}