package ru.daotech.agroinvest.fragments.tasks.tasksHistory

import io.reactivex.Observable
import ru.daotech.agroinvest.database.entities.Task
import ru.daotech.agroinvest.interfaces.MviView

interface TasksHistoryView : MviView<TasksHistoryViewState> {
    fun loadingIntent(): Observable<Unit>

    fun onTaskClick(): Observable<Task>

    fun snackbarDismiss(): Observable<Unit>

    fun onSendNotSentTasksIntent(): Observable<Unit>
}