package ru.daotech.agroinvest.service.events

import ru.daotech.agroinvest.service.jsonmodels.SignInMessagePayload

data class SignInMessage(val signInMessagePayload: SignInMessagePayload) : Event {
    val type: String = signInMessagePayload.type
    val message: String = signInMessagePayload.message
    val interrupt: Boolean? = signInMessagePayload.interrupt
}