package ru.daotech.agroinvest.service.jsonmodels

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

@Parcelize
data class TaskFinishPayload(
    val id: String,
    val name: String,
    val isFinished: Boolean,
    val orderBy: Int,
    val color: String,
    val description: String,
    val finishAt: String,
    val startAt:String,
    val properties: List<TaskPropertyPayload>,
    val intervals: List<String>?
) : QueueMessagePayload(), Parcelable