package ru.daotech.agroinvest.utils

/**
 * Time gap between tied and untied trolley
 */

const val TROLLEY_TIED_DELAY = 10 * 60 // minutes * seconds = 10 minutes

/**
 * NFC's scanned prefixes
 */

const val RAW_NFC_PREFIX = "raw"

const val TROLLEY_NFC_PREFIX = "trolley"

/**
 * Arguments' keys
 */

const val KEY_TOOLBAR_TITLE = "KEY_TOOLBAR_TITLE"

const val KEY_TOOLBAR_SUBTITLE = "KEY_TOOLBAR_SUBTITLE"

const val TASK_WITH_PROPERTIES_PARCELABLE = "TASK_WITH_PROPERTIES_PARCELABLE"

const val KEY_TASK_ID_HEADER_FIELD = "KEY_TASK_ID_HEADER_FIELD"

const val KEY_TASK_ID_GROUP_PROPERTY = "KEY_TASK_ID_GROUP_PROPERTY"

const val KEY_BARCODE_VALUE_GROUP_PROPERTY = "KEY_BARCODE_VALUE_GROUP_PROPERTY"

const val KEY_TASK_ID_BARCODE_BOX = "KEY_TASK_ID_BARCODE_BOX"

const val KEY_TIMER_STATE = "KEY_TIMER_STATE"

const val KEY_INITIATE_NFC_VALUE_ARGUMENT = "KEY_INITIATE_NFC_VALUE_ARGUMENT"

/**
 * Fragments' tags
 */

const val TASK_IN_PROGRESS_FRAGMENT_TAG = "TASK_IN_PROGRESS_FRAGMENT_TAG"

const val TIMER_FRAGMENT_TAG = "TIMER_FRAGMENT_TAG"

const val HEADER_FIELD_FRAGMENT_TAG = "HEADER_FIELD_FRAGMENT_TAG"

const val GROUP_PROPERTY_FRAGMENT_TAG = "GROUP_PROPERTY_FRAGMENT_TAG"

const val BARCODE_BOX_FRAGMENT_TAG = "BARCODE_BOX_FRAGMENT_TAG"

const val CHOOSE_GROUP_FRAGMENT_TAG = "CHOOSE_GROUP_FRAGMENT_TAG"

const val BARCODE_DIALOG_FRAGMENT_TAG = "BARCODE_DIALOG_FRAGMENT_TAG"

const val SUPPORT_MESSAGE_USER_TAG = "USER_MESSAGE"

/**
 * Accident response status codes
 */

const val ACCIDENT_SUCCESS_RESULT_STATE = 1

const val ACCIDENT_FAILED_RESULT_STATE = 0

const val ACCIDENT_SEND_CONTINUATION_RESULT_STATE = 2

/**
 * Properties' types from queue task
 */

const val TASK_PROPERTY_TEXT_TYPE = "string"

const val TASK_PROPERTY_NUMBER_TYPE = "number"

const val TASK_PROPERTY_IMAGE_TYPE = "binary"

const val TASK_PROPERTY_HEADER_TYPE = "header"

const val TASK_PROPERTY_GROUP_TYPE = "group"

/**
 * Permission intents codes
 */

const val GPS_PERMISSION_CODE = 100

const val EXTERNAL_WRITE_PERMISSION_CODE = 101

const val EXTERNAL_READ_PERMISSION_CODE = 102

// Image pick code
const val IMAGE_PICK_CODE = 1000

// Permission code take from gallery code
const val PERMISSION_CODE = 1001

// Photo pick code
const val CAMERA_PERMISSION_CODE = 1002

// Permission take photo code
const val REQUEST_PHOTO_CAPTURE = 200

/**
 * Chat message codes
 */

const val CHAT_MESSAGE_WORKER_CODE = 1

const val CHAT_MESSAGE_SUPPORT_CODE = 0

/**
 * HTTP request response codes
 */

const val HTTP_RESPONSE_CODE_OK = 200

const val HTTP_RESPONSE_CODE_ERROR = 400
