package ru.daotech.agroinvest.utils

class DeviceInfo {

    companion object {

        private const val SYSTEM_KEY_PROPERTY = "os.version"

        fun getDeviceApiLevel(): Int = android.os.Build.VERSION.SDK.toInt()

        fun getDeviceInfo(): String = android.os.Build.DEVICE

        fun getDeviceModel(): String = android.os.Build.MODEL

        fun getDeviceOsVersion(): String = System.getProperty(SYSTEM_KEY_PROPERTY)!!

        fun getDeviceProduct(): String = android.os.Build.PRODUCT
    }
}
